# Uses of Interface
org.eclipse.swt.events.MenuListener

Packages that use MenuListener
Package
Description
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of MenuListener in org.eclipse.swt.events

Classes in org.eclipse.swt.events that implement MenuListener
Modifier and Type
Class
Description
`class`
`MenuAdapter`
This adapter class provides default implementations for the methods described by the `MenuListener` interface.
Methods in org.eclipse.swt.events that return MenuListener
Modifier and Type
Method
Description
`static MenuListener`
MenuListener.`menuHiddenAdapter(Consumer<MenuEvent> c)`
Static helper method to create a `MenuListener` for the `menuHidden(MenuEvent e)`) method, given a lambda expression or a method reference.
`static MenuListener`
MenuListener.`menuShownAdapter(Consumer<MenuEvent> c)`
Static helper method to create a `MenuListener` for the `menuShown(MenuEvent e)`) method, given a lambda expression or a method reference.

## Uses of MenuListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type MenuListener
Modifier and Type
Method
Description
`void`
Menu.`addMenuListener(MenuListener listener)`
Adds the listener to the collection of listeners who will be notified when menus are hidden or shown, by sending it one of the messages defined in the `MenuListener` interface.
`void`
Menu.`removeMenuListener(MenuListener listener)`
Removes the listener from the collection of listeners who will be notified when the menu events are generated for the control.